onEvent('recipes', event =>{
    //mage spellbook
    event.recipes.createMixing('ars_nouveau:apprentice_spell_book', 
    ['ars_nouveau:novice_spell_book',
     /iceandfire:dragonscales_.*/,
     'minecraft:diamond',
     'create:rose_quartz'])
    
     //archmage spellbook
    event.recipes.createMixing('ars_nouveau:archmage_spell_book', 
    ['ars_nouveau:apprentice_spell_book',
     /iceandfire:.*_dragon_heart/,
     'minecraft:nether_star',
     'ars_nouveau:wilden_tribute',
     'kubejs:draconium_sheet'])
     .superheated()
    
    //iron_sword
    event.shapeless('minecraft:iron_sword', 'kubejs:iron_sword')

    //dank dock
    event.shaped('dankstorage:dock', [
        'BBB',
        'B B',
        'BBB'
    ],{
        B: 'create:iron_sheet'
    })

    //dank dock 1
    event.shaped('dankstorage:dank_1', [
        'BBB',
        'BAB',
        'BBB'
    ],{
        A: 'storagedrawers:controller',
        B: 'create:iron_sheet'
    })

    //dank dock 5
    event.shaped('dankstorage:dank_5', [
        'BCB',
        'BAB',
        'BCB'
    ],{
        A: 'dankstorage:dank_4',
        B: 'minecraft:diamond_block',
        C: /iceandfire:dragonscales_.*/
    })

    //dank dock 6
    event.shaped('dankstorage:dank_6', [
        'BBB',
        'BAB',
        'BBB'
    ],{
        A: 'dankstorage:dank_5',
        B: 'kubejs:draconium_sheet'
    })

    //dank dock 7
    event.shaped('dankstorage:dank_7', [
        'BCB',
        'BAB',
        'BCB'
    ],{
        A: 'dankstorage:dank_6',
        B: 'kubejs:awakened_draconium_sheet',
        C: 'minecraft:nether_star'
    })

    //dank dock 4 to 5
    event.shaped('dankstorage:4_to_5', [
        'BCB',
        'BAB',
        'BCB'
    ],{
        A: 'minecraft:stick',
        B: 'minecraft:diamond_block',
        C: /iceandfire:dragonscales_.*/
    })

    //dank dock 5 to 6
    event.shaped('dankstorage:5_to_6', [
        'BBB',
        'BAB',
        'BBB'
    ],{
        A: 'minecraft:stick',
        B: 'kubejs:draconium_sheet'
    })

    //dank dock 6 to 7
    event.shaped('dankstorage:6_to_7', [
        'BCB',
        'BAB',
        'BCB'
    ],{
        A: 'minecraft:stick',
        B: 'kubejs:awakened_draconium_sheet',
        C: 'minecraft:nether_star'
    })





})